package com.yiboshi.science.entity;

import com.yiboshi.science.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.validator.constraints.Length;

import java.math.BigDecimal;

@Data
@EqualsAndHashCode(callSuper=true)
@ApiModel(description = "专家组分配表")
public class ComExpertGroupAssign extends BaseEntity {
    /** 专家组Id */
    @ApiModelProperty(value = "专家组Id", position = 1)
    @Length(max=36, message = "专家组Id不能大于36")
    private String groupId;
    /** 项目Id */
    @ApiModelProperty(value = "项目Id", position = 2)
    @Length(max=36, message = "项目Id不能大于36")
    private String projId;
    /** 分配年度 */
    @ApiModelProperty(value = "分配年度", position = 3)
    private Integer assignYear;
    /** 备注 */
    @ApiModelProperty(value = "备注", position = 5)
    @Length(max=65535, message = "备注不能大于65535")
    private String remark;
}
