package com.yiboshi.science.param.query;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.yiboshi.science.base.PaginationVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
 * 查询年度设置表VO
 *
 * @author lkl
 * @version 2021-08-26
 */
@Data
@EqualsAndHashCode(callSuper=true)
@ApiModel(description = "批次表VO")
public class ComBatchQueryVO extends PaginationVO{
    /** 年度 */
    @ApiModelProperty(value = "年度", position = 2)
    private Integer year;
    /** 批次 */
    @ApiModelProperty(value = "批次", position = 3)
    private Integer batch;
    /** 批次类型 1科研项目申报  2重点学科申报 */
    @ApiModelProperty(value = "批次类型", position = 4)
    private Integer projType;
    /** 申报开始时间 */
    @ApiModelProperty(value = "申报开始时间", position = 5)
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date reportStart;
    /** 申报结束时间 */
    @ApiModelProperty(value = "申报结束时间", position = 6)
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date reportEnd;
    /** 单位上报到州市级行政单位开始时间 */
    @ApiModelProperty(value = "单位上报到州市级行政单位开始时间", position = 7)
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date unitStart;
    /** 单位上报到州市级行政单位结束时间 */
    @ApiModelProperty(value = "单位上报到州市级行政单位结束时间", position = 8)
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date unitEnd;
    /** 州市级行政单位报到省卫健委开始时间 */
    @ApiModelProperty(value = "州市级行政单位报到省卫健委开始时间", position = 9)
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date prefectureStart;
    /** 州市级行政单位报到省卫健委结束时间 */
    @ApiModelProperty(value = "州市级行政单位报到省卫健委结束时间", position = 10)
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date prefectureEnd;
    /** 省直单位报到省卫健委开始时间 */
    @ApiModelProperty(value = "省直单位报到省卫健委开始时间", position = 11)
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date provinceStart;
    /** 省直单位报到省卫健委结束时间 */
    @ApiModelProperty(value = "省直单位报到省卫健委结束时间", position = 12)
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date provinceEnd;
    /** 专家审核开始时间 */
    @ApiModelProperty(value = "专家审核开始时间", position = 13)
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date expertStart;
    /** 专家审核结束时间 */
    @ApiModelProperty(value = "专家审核结束时间", position = 14)
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date expertEnd;
    /** 备注 */
    private String remark;
}